#include <xc.h> // include processor files - each processor file is guarded.
#include "defines.h"

void lcd_init(void);
void writecom(char);
void writedata(char, char);
void lcd_puts(char *s);
void lcd_clrln(void);
char readkeys(void);
//
// Pin definitions for display and keypad
//
#define LCD_RST_LAT LATCbits.LATC0
#define LCD_RS_LAT LATEbits.LATE2
#define LCD_CSB_LAT LATEbits.LATE1
#define LCD_SCL_LAT LATEbits.LATE0
#define LCD_SI_LAT LATAbits.LATA5
#define KEY_SENSE_PORT PORTAbits.RA3

#define LCD_RST_TRIS TRISCbits.TRISC0
#define LCD_RS_TRIS TRISEbits.TRISE2
#define LCD_CSB_TRIS TRISEbits.TRISE1
#define LCD_SCL_TRIS TRISEbits.TRISE0
#define LCD_SI_TRIS TRISAbits.TRISA5
#define KEY_SENSE_TRIS TRISAbits.TRISA3


